<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/FileTree/Node.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.FileTree.Node</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../FileTree.html" >FileTree</a>
</div><div class="class-name">class Node

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/FileTree.py.html" target="detail">../Synopsis/FileTree.py</a></div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.FileTree.Node" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/FileTree.py.html#line11" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Node-inheritance" src="Node-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Node-inheritance_map" />
<map name="Node-inheritance_map"><area alt="Scopes/Synopsis/FileTree/File.html" href="File.html" shape="rect" coords="5, 81, 152, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/ModuleTree/ModuleTree.html" href="../Formatters/HTML/Views/ModuleTree/ModuleTree.html" shape="rect" coords="176, 81, 539, 105" />
<area alt="Scopes/Synopsis/FileTree/Directory.html" href="Directory.html" shape="rect" coords="563, 81, 741, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Parts/Inheritance/Inheritance.html" href="../Formatters/HTML/Parts/Inheritance/Inheritance.html" shape="rect" coords="765, 81, 1109, 105" />
</map>
 <div class="doc">Base class for directories and files in the tree.
    @attr path the path of this node as a string.
    @attr filename the name of the node&#44; i.e. the last element of the
    path string
    </div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="path">path</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/FileTree.py.html#line18" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="filename">filename</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/FileTree.py.html#line19" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">path</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis.FileTree.Node.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/FileTree.py.html#line17" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:54 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
